GNU bug report logs - #35810
[PATCH] Add RMassBank (r-massbank)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Tk <tk.code@HIDDEN>; Keywords: patch; dated Mon, 20 May 2019 14:36:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 35810 <at> debbugs.gnu.org:


Received: (at 35810) by debbugs.gnu.org; 29 May 2019 14:05:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 10:05:04 2019
Received: from localhost ([127.0.0.1]:59413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVzCQ-0003q0-2D
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 10:05:04 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1hVzCL-0003pj-V9
 for 35810 <at> debbugs.gnu.org; Wed, 29 May 2019 10:05:00 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1559081810; cv=none; d=zoho.com; s=zohoarc; 
 b=OoXVBFN/1RZuXzNxkSd7bAQKsd4QFGeFTYFJ0yAr9RWDSGG5mZH1EMe6IizRNaqwUJdn14LWk5ezB4qa4KmoSvJh/o5RkhGdOunsFAPvjoeyPMAm3MZ0MqXXvrRH1QzdoIAL/+7jMw3J1+OZ6OQ2m2LsDzkeasuASJ84VymK2bQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1559081810;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=LrTQ4NUo4XPBNsUuTD0t+MRFC+x3BotiVwkJjMQvdCU=; 
 b=MLehM3zoaJpl+5cEdiTSBMpwdoIarwK/fEEYt4AA/azXmr40I4vxcv9kxQh+RZ4Z0612GZbAi8sNBq6TmCmI7ZtzzMBLkK7FdO4KRXzujjuIm3QlmEd/xY2DwhTdZQ8ZWVlkhQjmjqPQwX2EttsZMvMEadiVkXGdGykT89mqGGo=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1559081810; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1802; bh=LrTQ4NUo4XPBNsUuTD0t+MRFC+x3BotiVwkJjMQvdCU=;
 b=GT2nH5iYabR+oSgu4MH2AKImnNoOLTOoq6n8vo6fIU4WvusPmkKHhSMe4jD9mHHR
 m9Q3NOGY+KYjRgjXXg1qvCQi9wVJkhfZCxQjoaYI/cyI8S/Az7svfjt4n6J5Qe++fgD
 Bu+c9RBP8VwNm3SPP8L10+ZWKsAliA1M6X6vdbmk=
Received: from localhost (p54AD4CB8.dip0.t-ipconnect.de [84.173.76.184]) by
 mx.zohomail.com with SMTPS id 1559081808128308.3751391444748;
 Tue, 28 May 2019 15:16:48 -0700 (PDT)
References: <0Wmcjgq-bpYQvMH_nhfAPRc8siXsADDFk0tfLvj-4onlp3m2aBbTJXEwrtdpbwWpgQnzn7-P8Hc6Gpq32B4rMmOq1GV8MkP75J2YJxSVMVs=@protonmail.com>
 <874l5ju9mb.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
To: Tk <tk.code@HIDDEN>
Subject: Re: [bug#35810] [PATCH] Add RMassBank (r-massbank)
In-reply-to: <874l5ju9mb.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Wed, 29 May 2019 00:16:44 +0200
Message-ID: <87h89ekywj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35810
Cc: 35810 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Todor,

>> The packages themselves have been generated using
>> `guix import cran -r --archive=3Dbioconductor RMassBank` and minimally a=
ltered
>> to build successfully and not bother guix lint too much.
>
> Looks good to me.  Ricardo, WDYT?

Generally, the additions look fine, but with my nitpicking hat on I=E2=80=
=99d
like to make a few comments:

* Some of the packages have a list of licenses.  It would be good to add
  a comment above the license field to clarify what this list means.

* Some of descriptions begin with sentence fragments.  The importer is
  not smart enough to figure out the proper way to turn those fragments
  into full sentences.

* The synopses often contain capitalized words.

* I=E2=80=99d prefer the value of the home-page field to be on the same lin=
e as
  the field name.

* The module header contains references to unused modules, such as (guix
  git-download).

* I prefer for moving all CRAN packages to gnu/packages/cran.scm and all
  Bioconductor packages to gnu/packages/bioconductor.scm, because that
  makes future updates much easier.  That because CRAN packages rarely
  ever depend on Bioconductor packages, and keeping the number of
  mutually dependent modules down reduces the likelihood of dependency
  cycles.

  I haven=E2=80=99t always done it this way, but all recent additions are o=
nly
  to cran.scm and bioconductor.scm; I=E2=80=99m slowly moving CRAN packages=
 from
  other locations to cran.scm for the above reasons.

* If you do move the package additions to existing modules, please make
  one commit per package addition.

(If this is all a bit too much to take in at first, I can also make the
changes on your behalf and keep your authorship.)

Thank you for your contributions!

--
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#35810; Package guix-patches. Full text available.

Message received at 35810 <at> debbugs.gnu.org:


Received: (at 35810) by debbugs.gnu.org; 25 May 2019 15:21:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 25 11:21:19 2019
Received: from localhost ([127.0.0.1]:49384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hUYU0-0007hn-Lx
	for submit <at> debbugs.gnu.org; Sat, 25 May 2019 11:21:17 -0400
Received: from mail4.protonmail.ch ([185.70.40.27]:11208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tk.code@HIDDEN>) id 1hUXES-0005Pe-RE
 for 35810 <at> debbugs.gnu.org; Sat, 25 May 2019 10:01:10 -0400
Date: Sat, 25 May 2019 14:00:51 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1558792859;
 bh=IBSzVr73OrKI2EysLt0nUEjdzuzNggSM8XOskdSi/J8=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:Feedback-ID:
 From;
 b=eV+9zLVHq9zzeuX6LBe/pmQPGl7Us9ASSVS3MQAJRamK1zkO9mgHfuWSu8to4jEDw
 S+KAevX+smDx25U4Sxtn6iSmDspDjEIG/X0rCH54xyWLrXM7Urfpp0xXiZIRHWxT6s
 kluBTPl7C7IZ2+GQ1y3g74KKoZeWqmacnyOxHpPQ=
To: "35810 <at> debbugs.gnu.org" <35810 <at> debbugs.gnu.org>
From: =?UTF-8?Q?Todor_Kondi=C4=87?= <tk.code@HIDDEN>
Subject: Re: [bug#35810] [PATCH] Add RMassBank (r-massbank)
Message-ID: <-cy39DznjGBQcCG_dhZ4VVA498WC4pj16AS9vrtFjwTeRK3qV6vBpnLUiL_EyW9yKy2jD3XZCXK-gtpkyXYKJCnP2nJaoS4qxrBPZ6pov-s=@protonmail.com>
In-Reply-To: <874l5ju9mb.fsf@HIDDEN>
References: <0Wmcjgq-bpYQvMH_nhfAPRc8siXsADDFk0tfLvj-4onlp3m2aBbTJXEwrtdpbwWpgQnzn7-P8Hc6Gpq32B4rMmOq1GV8MkP75J2YJxSVMVs=@protonmail.com>
 <874l5ju9mb.fsf@HIDDEN>
Feedback-ID: H-HDHPDhHGpnHYYqEeeELdj-Ly2a7MuykpUWpBFgfQ1BCJpPfO2vKz9YpJUb7-VnGIEXLb5c-uxqytN6PxXV2Q==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM autolearn=ham
 autolearn_force=no version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35810
X-Mailman-Approved-At: Sat, 25 May 2019 11:21:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: =?UTF-8?Q?Todor_Kondi=C4=87?= <tk.code@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
On Friday, 24 May 2019 17:59, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Hello Todor,
>
> Tk tk.code@HIDDEN skribis:
>
> > Some of us at ECI (Environmental Cheminformatics), LCSB, University of =
Luxembourg
> > are in love with Scheme, GNU, Guile and Guix.
>
> Heh, cool. :-)
>
> > At ECI, there is a lot of mass spectrometry going on and there are plen=
ty of
> > R tools -- some written by us -- to analyse and annotate such spectra. =
Anyway,
> > this is our first contribution to Guix -- RMassBank (r-massbank package=
).
> > I have decided to create a separate package group for mass-spectrometry=
 and
> > include r-massbank in it. I could imagine packages defined here to end =
up in
> > chemistry.scm, or under a new subpath, chemistry/mass-spectrometry.scm.=
 Once
> > this first submission enters Guix, some more will follow.
> > The packages themselves have been generated using
> > `guix import cran -r --archive=3Dbioconductor RMassBank` and minimally =
altered
> > to build successfully and not bother guix lint too much.
>
> Looks good to me. Ricardo, WDYT?
>
> > As this is my first contribution to guix, I am very much looking forwar=
d
> > to feedback.
>
> The file is OK as-is, but could you send directly the output of =E2=80=
=98git
> format-patch=E2=80=99? That makes it easier for us to apply the patch whi=
le
> preserving authorship information.
>
> Also, bonus points if you can come up with a commit log that follows our
> conventions. :-)
>
> https://www.gnu.org/software/guix/manual/en/html_node/Submitting-Patches.=
html
>
> Anyway, glad to see more scientists join! You might be interested in
> https://guix-hpc.bordeaux.inria.fr/ too.
>
> Welcome!
>
> Thanks,
> Ludo=E2=80=99.


Hi Ludo=E2=80=99,

Thanks for the words of welcome :) . Actually, I have been lurking in shado=
ws for a long time, probably from the time you first announced Guix on the =
guile list. It grew a lot since those days.

My previous reply is, hopefully, sorting things out re mass spectrometry an=
d rmassbank. I haven't yet set my new work machine with a proper email and =
have to resort to webmail (which sucks).

Cheers,
Todor




Information forwarded to guix-patches@HIDDEN:
bug#35810; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 May 2019 15:21:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 25 11:21:16 2019
Received: from localhost ([127.0.0.1]:49382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hUYTz-0007hj-G5
	for submit <at> debbugs.gnu.org; Sat, 25 May 2019 11:21:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tk.code@HIDDEN>) id 1hUWxo-0004iN-GC
 for submit <at> debbugs.gnu.org; Sat, 25 May 2019 09:43:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:54344)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tk.code@HIDDEN>)
 id 1hUWxh-00078Y-H4
 for submit <at> debbugs.gnu.org; Sat, 25 May 2019 09:43:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50661)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tk.code@HIDDEN>) id 1hUWxf-0003Yd-Ul
 for guix-patches@HIDDEN; Sat, 25 May 2019 09:43:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tk.code@HIDDEN>) id 1hUWvy-0005lm-W8
 for guix-patches@HIDDEN; Sat, 25 May 2019 09:42:04 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:30901)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tk.code@HIDDEN>)
 id 1hUWvy-0005h2-C0
 for guix-patches@HIDDEN; Sat, 25 May 2019 09:42:02 -0400
Date: Sat, 25 May 2019 13:41:39 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1558791703;
 bh=fjJ0Ht3lroG0V9WeK6LnOuNcDXwM4BTcVdbZlSjaeeQ=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=BIxyRb9wRilNdMTGFYvDjPHmKyhyZU9hz6el9m6u8baPpgWxloHd4kRDTB2I4zLXZ
 nnwO85y9QG1RLDgmKE30JelZB34TvmILB6th6NTZtpmc2Ky89usm1eQtWcEwGkVNYN
 acEzPlsuoKvaRYoOyoGg3u9YC9g+OnvyArF853JM=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: =?UTF-8?Q?Todor_Kondi=C4=87?= <tk.code@HIDDEN>
Subject: Re: [bug#35810] [PATCH] Add RMassBank (r-massbank)
Message-ID: <jYPPGF9TBg5FtKoEi_GDGVdT19kv1j-tMkETmuvUrQCf3TLiZ5PuS6AIJpOxA_YfydKjye9izv2OYsG_c3aqdKYv5znW-R2ckDPsYZ9fOdY=@protonmail.com>
Feedback-ID: H-HDHPDhHGpnHYYqEeeELdj-Ly2a7MuykpUWpBFgfQ1BCJpPfO2vKz9YpJUb7-VnGIEXLb5c-uxqytN6PxXV2Q==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.70.40.22
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 25 May 2019 11:21:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: =?UTF-8?Q?Todor_Kondi=C4=87?= <tk.code@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From 7a5516dcf293b7992af571b100e45214b085000d Mon Sep 17 00:00:00 2001
From: =3D?UTF-8?q?Todor=3D20Kondi=3DC4=3D87?=3D <tk.code@HIDDEN>
Date: Sat, 25 May 2019 15:09:16 +0200
Subject: [PATCH] gnu: Add RMassBank

* gnu/packages/mass-spectrometry.scm (r-fingerprint,r-cdklibs,r-cdk,r-massb=
ank):
  New file and new public variables.
---
 gnu/packages/mass-spectrometry.scm | 161 +++++++++++++++++++++++++++++
 1 file changed, 161 insertions(+)
 create mode 100644 gnu/packages/mass-spectrometry.scm

diff --git a/gnu/packages/mass-spectrometry.scm b/gnu/packages/mass-spectro=
metry.scm
new file mode 100644
index 0000000000..07758270f8
--- /dev/null
+++ b/gnu/packages/mass-spectrometry.scm
@@ -0,0 +1,161 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright =C2=A9 2019 Todor Kondi=C4=87 <tk.code@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages mass-spectrometry)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix packages)
+  #:use-module (guix download)
+  #:use-module (guix git-download)
+  #:use-module (guix utils)
+  #:use-module (guix build-system gnu)
+  #:use-module (guix build-system r)
+  #:use-module (gnu packages chemistry)
+  #:use-module (gnu packages bioinformatics)
+  #:use-module (gnu packages statistics)
+  #:use-module (gnu packages cran)
+  #:use-module (gnu packages web)
+  #:use-module (gnu packages image)
+  #:use-module (gnu packages cran)
+  #:use-module (gnu packages)
+  #:use-module (srfi srfi-1))
+
+(define-public r-fingerprint
+  (package
+    (name "r-fingerprint")
+    (version "3.5.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "fingerprint" version))
+       (sha256
+        (base32
+         "04jcwkydjrs31pia6kq8z2n9s54im950q08hs2ay15xjxxkmb8ic"))))
+    (build-system r-build-system)
+    (home-page
+     "https://cran.r-project.org/web/packages/fingerprint")
+    (synopsis
+     "Functions to Operate on Binary Fingerprint Data")
+    (description
+     "Functions to manipulate binary fingerprints of arbitrary length.  A
+fingerprint is represented by an object of S4 class 'fingerprint' which is
+internally represented a vector of integers, such that each element repres=
ents
+the position in the fingerprint that is set to 1.  The bitwise logical
+functions in R are overridden so that they can be used directly with
+'fingerprint' objects.  A number of distance metrics are also available (m=
any
+contributed by Michael Fadock).  Fingerprints can be converted to Euclidea=
n
+vectors (i.e., points on the unit hypersphere) and can also be folded usin=
g
+OR.  Arbitrary fingerprint formats can be handled via line handlers.
+Currently handlers are provided for CDK, MOE and BCI fingerprint data.")
+    (license (list license:gpl2+ license:gpl3+))))
+
+(define-public r-cdklibs
+  (package
+    (name "r-cdklibs")
+    (version "2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "rcdklibs" version))
+       (sha256
+        (base32
+         "05g0y00bw1bqykfbwn4q42krwcfl50jcavaw7yyw9a5m34hvw0l8"))))
+    (build-system r-build-system)
+    (propagated-inputs `(("r-rjava" ,r-rjava)))
+    (home-page
+     "https://cran.r-project.org/web/packages/rcdklibs")
+    (synopsis "The CDK Libraries Packaged for R")
+    (description
+     "An R interface to the Chemistry Development Kit, a Java library for
+chemoinformatics.  Given the size of the library itself, this package is n=
ot
+expected to change very frequently.  To make use of the CDK within R, it i=
s
+suggested that you use the 'rcdk' package.  Note that it is possible to
+directly interact with the CDK using 'rJava'.  However 'rcdk' exposes
+functionality in a more idiomatic way.  The CDK library itself is released=
 as
+LGPL and the sources can be obtained from <https://github.com/cdk/cdk>.")
+    (license (list license:lgpl2.0 license:lgpl2.1 license:lgpl3))))
+
+(define-public r-cdk
+  (package
+    (name "r-cdk")
+    (version "3.4.7.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "rcdk" version))
+       (sha256
+        (base32
+         "1d08ajji631792b7fyfwzvcaswh8jlanfsxrj6c1wx7xh3qqpigg"))))
+    (build-system r-build-system)
+    (propagated-inputs
+     `(("r-fingerprint" ,r-fingerprint)
+       ("r-iterators" ,r-iterators)
+       ("r-itertools" ,r-itertools)
+       ("r-png" ,r-png)
+       ("r-cdklibs" ,r-cdklibs)
+       ("r-rjava" ,r-rjava)
+       ("r-knitr" ,r-knitr)))
+    (home-page
+     "https://cran.r-project.org/web/packages/rcdk")
+    (synopsis "Interface to the 'CDK' Libraries")
+    (description
+     "Allows the user to access functionality in the 'CDK', a Java framewo=
rk
+for chemoinformatics.  This allows the user to load molecules, evaluate
+fingerprints, calculate molecular descriptors and so on.  In addition, the
+'CDK' API allows the user to view structures in 2D.")
+    (license (list license:lgpl2.0 license:lgpl2.1 license:lgpl3))))
+
+(define-public r-massbank
+  (package
+    (name "r-massbank")
+    (version "2.12.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (bioconductor-uri "RMassBank" version))
+       (sha256
+        (base32
+         "1xdxrbkcggrlqx3h11w10vk18bjmdfs85j6rvy7yvqj7limsjp2j"))))
+    (properties `((upstream-name . "RMassBank")))
+    (build-system r-build-system)
+    (inputs `(("openbabel" ,openbabel)))
+    (propagated-inputs
+     `(("r-biobase" ,r-biobase)
+       ("r-digest" ,r-digest)
+       ("r-httr" ,r-httr)
+       ("r-msnbase" ,r-msnbase)
+       ("r-mzr" ,r-mzr)
+       ("r-cdk" ,r-cdk)
+       ("r-rcpp" ,r-rcpp)
+       ("r-rcurl" ,r-rcurl)
+       ("r-rjson" ,r-rjson)
+       ("r-s4vectors" ,r-s4vectors)
+       ("r-xml" ,r-xml)
+       ("r-markdown" ,r-markdown)
+       ("r-knitr" ,r-knitr)
+       ("r-yaml" ,r-yaml)))
+    (home-page
+     "https://bioconductor.org/packages/release/bioc/html/RMassBank.html")
+    (synopsis
+     "Workflow to process tandem MS files and build MassBank records")
+    (description
+     "Workflow to process tandem MS files and build MassBank records.
+Functions include automated extraction of tandem MS spectra, formula
+assignment to tandem MS fragments, recalibration of tandem MS spectra with
+assigned fragments, spectrum cleanup, automated retrieval of compound
+information from Internet databases, and export to MassBank records.")
+    (license license:artistic2.0)))
--
2.21.0




Information forwarded to guix-patches@HIDDEN:
bug#35810; Package guix-patches. Full text available.

Message received at 35810 <at> debbugs.gnu.org:


Received: (at 35810) by debbugs.gnu.org; 24 May 2019 15:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 24 11:59:23 2019
Received: from localhost ([127.0.0.1]:47119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hUCbL-0000Nq-CH
	for submit <at> debbugs.gnu.org; Fri, 24 May 2019 11:59:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hUCbF-0000NH-BI
 for 35810 <at> debbugs.gnu.org; Fri, 24 May 2019 11:59:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41441)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hUCb9-0007T6-Rz; Fri, 24 May 2019 11:59:11 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36842 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hUCb9-0004hw-1Z; Fri, 24 May 2019 11:59:11 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tk <tk.code@HIDDEN>
Subject: Re: [bug#35810] [PATCH] Add RMassBank (r-massbank)
References: <0Wmcjgq-bpYQvMH_nhfAPRc8siXsADDFk0tfLvj-4onlp3m2aBbTJXEwrtdpbwWpgQnzn7-P8Hc6Gpq32B4rMmOq1GV8MkP75J2YJxSVMVs=@protonmail.com>
Date: Fri, 24 May 2019 17:59:08 +0200
In-Reply-To: <0Wmcjgq-bpYQvMH_nhfAPRc8siXsADDFk0tfLvj-4onlp3m2aBbTJXEwrtdpbwWpgQnzn7-P8Hc6Gpq32B4rMmOq1GV8MkP75J2YJxSVMVs=@protonmail.com>
 (Tk's message of "Mon, 20 May 2019 14:20:40 +0000")
Message-ID: <874l5ju9mb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35810
Cc: 35810 <at> debbugs.gnu.org, Ricardo Wurmus <rekado@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Todor,

Tk <tk.code@HIDDEN> skribis:

> Some of us at ECI (Environmental Cheminformatics), LCSB, University of Lu=
xembourg
> are in love with Scheme, GNU, Guile and Guix.

Heh, cool.  :-)

> At ECI, there is a lot of mass spectrometry going on and there are plenty=
 of
> R tools -- some written by us -- to analyse and annotate such spectra. An=
yway,
> this is our first contribution to Guix -- RMassBank (r-massbank package).
> I have decided to create a separate package group for mass-spectrometry a=
nd
> include r-massbank in it. I could imagine packages defined here to end up=
 in
> chemistry.scm, or under a new subpath, chemistry/mass-spectrometry.scm. O=
nce
> this first submission enters Guix, some more will follow.
>
> The packages themselves have been generated using
> `guix import cran -r --archive=3Dbioconductor RMassBank` and minimally al=
tered
> to build successfully and not bother guix lint too much.

Looks good to me.  Ricardo, WDYT?

> As this is my first contribution to guix, I am very much looking forward
> to feedback.

The file is OK as-is, but could you send directly the output of =E2=80=98git
format-patch=E2=80=99?  That makes it easier for us to apply the patch while
preserving authorship information.

Also, bonus points if you can come up with a commit log that follows our
conventions.  :-)

  https://www.gnu.org/software/guix/manual/en/html_node/Submitting-Patches.=
html

Anyway, glad to see more scientists join!  You might be interested in
<https://guix-hpc.bordeaux.inria.fr/> too.

Welcome!

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#35810; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 May 2019 14:35:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 10:35:12 2019
Received: from localhost ([127.0.0.1]:37367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hSjNf-0008OC-7a
	for submit <at> debbugs.gnu.org; Mon, 20 May 2019 10:35:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tk.code@HIDDEN>) id 1hSjA5-000829-8w
 for submit <at> debbugs.gnu.org; Mon, 20 May 2019 10:21:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:58128)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tk.code@HIDDEN>)
 id 1hSjA0-0004qv-5f
 for submit <at> debbugs.gnu.org; Mon, 20 May 2019 10:21:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36431)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tk.code@HIDDEN>) id 1hSj9y-0007Ct-98
 for guix-patches@HIDDEN; Mon, 20 May 2019 10:21:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tk.code@HIDDEN>) id 1hSj9w-0004mM-PO
 for guix-patches@HIDDEN; Mon, 20 May 2019 10:21:02 -0400
Received: from mail-40132.protonmail.ch ([185.70.40.132]:39504)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tk.code@HIDDEN>)
 id 1hSj9w-0004cC-5u
 for guix-patches@HIDDEN; Mon, 20 May 2019 10:21:00 -0400
Date: Mon, 20 May 2019 14:20:40 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=default; t=1558362043;
 bh=BWynYmQPxyEu2n/kacONK+J8Hm63NAeGjc9hvyD4anM=;
 h=Date:To:From:Reply-To:Subject:Feedback-ID:From;
 b=gxwu04qr0x3cNbkZBsM7qiMktPsfzUV5gfLd9HPG5U3PaYjqWAMfs17PKb1FD7SBu
 5e8FDrQlz4VTRA1IIYEuZfuSCeq4YYBAWsHA25uyZZ0L8rlgNlOJUxbU6peTjm9zh/
 Z1BHPUc8nP+mimhNQ5Wq77Au0YEgpA4fqttSdBjk=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: Tk <tk.code@HIDDEN>
Subject: [PATCH] Add RMassBank (r-massbank)
Message-ID: <0Wmcjgq-bpYQvMH_nhfAPRc8siXsADDFk0tfLvj-4onlp3m2aBbTJXEwrtdpbwWpgQnzn7-P8Hc6Gpq32B4rMmOq1GV8MkP75J2YJxSVMVs=@protonmail.com>
Feedback-ID: H-HDHPDhHGpnHYYqEeeELdj-Ly2a7MuykpUWpBFgfQ1BCJpPfO2vKz9YpJUb7-VnGIEXLb5c-uxqytN6PxXV2Q==:Ext:ProtonMail
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.70.40.132
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 20 May 2019 10:35:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Tk <tk.code@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

Some of us at ECI (Environmental Cheminformatics), LCSB, University of Luxe=
mbourg
are in love with Scheme, GNU, Guile and Guix.

At ECI, there is a lot of mass spectrometry going on and there are plenty o=
f
R tools -- some written by us -- to analyse and annotate such spectra. Anyw=
ay,
this is our first contribution to Guix -- RMassBank (r-massbank package).
I have decided to create a separate package group for mass-spectrometry and
include r-massbank in it. I could imagine packages defined here to end up i=
n
chemistry.scm, or under a new subpath, chemistry/mass-spectrometry.scm. Onc=
e
this first submission enters Guix, some more will follow.

The packages themselves have been generated using
`guix import cran -r --archive=3Dbioconductor RMassBank` and minimally alte=
red
to build successfully and not bother guix lint too much.

As this is my first contribution to guix, I am very much looking forward
to feedback.

Thanks,

Todor

---
 gnu/packages/mass-spectrometry.scm | 163 +++++++++++++++++++++++++++++
 1 file changed, 163 insertions(+)
 create mode 100644 gnu/packages/mass-spectrometry.scm

diff --git a/gnu/packages/mass-spectrometry.scm b/gnu/packages/mass-spectro=
metry.scm
new file mode 100644
index 0000000000..d2684856c1
--- /dev/null
+++ b/gnu/packages/mass-spectrometry.scm
@@ -0,0 +1,163 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright =C2=A9 2019 Todor Kondi=C4=87 <tk.code@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages mass-spectrometry)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix packages)
+  #:use-module (guix download)
+  #:use-module (guix git-download)
+  #:use-module (guix utils)
+  #:use-module (guix build-system gnu)
+  #:use-module (guix build-system r)
+  #:use-module (gnu packages chemistry)
+  #:use-module (gnu packages bioinformatics)
+  #:use-module (gnu packages statistics)
+  #:use-module (gnu packages cran)
+  #:use-module (gnu packages web)
+  #:use-module (gnu packages image)
+  #:use-module (gnu packages cran)
+  #:use-module (gnu packages)
+  #:use-module (srfi srfi-1))
+
+
+
+(define-public r-fingerprint
+  (package
+    (name "r-fingerprint")
+    (version "3.5.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "fingerprint" version))
+       (sha256
+        (base32
+         "04jcwkydjrs31pia6kq8z2n9s54im950q08hs2ay15xjxxkmb8ic"))))
+    (build-system r-build-system)
+    (home-page
+     "https://cran.r-project.org/web/packages/fingerprint")
+    (synopsis
+     "Functions to Operate on Binary Fingerprint Data")
+    (description
+     "Functions to manipulate binary fingerprints of arbitrary length.  A
+fingerprint is represented by an object of S4 class 'fingerprint' which is
+internally represented a vector of integers, such that each element repres=
ents
+the position in the fingerprint that is set to 1.  The bitwise logical
+functions in R are overridden so that they can be used directly with
+'fingerprint' objects.  A number of distance metrics are also available (m=
any
+contributed by Michael Fadock).  Fingerprints can be converted to Euclidea=
n
+vectors (i.e., points on the unit hypersphere) and can also be folded usin=
g
+OR.  Arbitrary fingerprint formats can be handled via line handlers.
+Currently handlers are provided for CDK, MOE and BCI fingerprint data.")
+    (license (list gpl2+ gpl3+))))
+
+(define-public r-cdklibs
+  (package
+    (name "r-cdklibs")
+    (version "2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "rcdklibs" version))
+       (sha256
+        (base32
+         "05g0y00bw1bqykfbwn4q42krwcfl50jcavaw7yyw9a5m34hvw0l8"))))
+    (build-system r-build-system)
+    (propagated-inputs `(("r-rjava" ,r-rjava)))
+    (home-page
+     "https://cran.r-project.org/web/packages/rcdklibs")
+    (synopsis "The CDK Libraries Packaged for R")
+    (description
+     "An R interface to the Chemistry Development Kit, a Java library for
+chemoinformatics.  Given the size of the library itself, this package is n=
ot
+expected to change very frequently.  To make use of the CDK within R, it i=
s
+suggested that you use the 'rcdk' package.  Note that it is possible to
+directly interact with the CDK using 'rJava'.  However 'rcdk' exposes
+functionality in a more idiomatic way.  The CDK library itself is released=
 as
+LGPL and the sources can be obtained from <https://github.com/cdk/cdk>.")
+    (license (list license:lgpl2.0 license:lgpl2.1 license:lgpl3))))
+
+(define-public r-cdk
+  (package
+    (name "r-cdk")
+    (version "3.4.7.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "rcdk" version))
+       (sha256
+        (base32
+         "1d08ajji631792b7fyfwzvcaswh8jlanfsxrj6c1wx7xh3qqpigg"))))
+    (build-system r-build-system)
+    (propagated-inputs
+     `(("r-fingerprint" ,r-fingerprint)
+       ("r-iterators" ,r-iterators)
+       ("r-itertools" ,r-itertools)
+       ("r-png" ,r-png)
+       ("r-cdklibs" ,r-cdklibs)
+       ("r-rjava" ,r-rjava)
+       ("r-knitr" ,r-knitr)))
+    (home-page
+     "https://cran.r-project.org/web/packages/rcdk")
+    (synopsis "Interface to the 'CDK' Libraries")
+    (description
+     "Allows the user to access functionality in the 'CDK', a Java framewo=
rk
+for chemoinformatics.  This allows the user to load molecules, evaluate
+fingerprints, calculate molecular descriptors and so on.  In addition, the
+'CDK' API allows the user to view structures in 2D.")
+    (license (list license:lgpl2.0 license:lgpl2.1 license:lgpl3))))
+
+(define-public r-massbank
+  (package
+    (name "r-massbank")
+    (version "2.12.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (bioconductor-uri "RMassBank" version))
+       (sha256
+        (base32
+         "1xdxrbkcggrlqx3h11w10vk18bjmdfs85j6rvy7yvqj7limsjp2j"))))
+    (properties `((upstream-name . "RMassBank")))
+    (build-system r-build-system)
+    (inputs `(("openbabel" ,openbabel)))
+    (propagated-inputs
+     `(("r-biobase" ,r-biobase)
+       ("r-digest" ,r-digest)
+       ("r-httr" ,r-httr)
+       ("r-msnbase" ,r-msnbase)
+       ("r-mzr" ,r-mzr)
+       ("r-cdk" ,r-cdk)
+       ("r-rcpp" ,r-rcpp)
+       ("r-rcurl" ,r-rcurl)
+       ("r-rjson" ,r-rjson)
+       ("r-s4vectors" ,r-s4vectors)
+       ("r-xml" ,r-xml)
+       ("r-markdown" ,r-markdown)
+       ("r-knitr" ,r-knitr)
+       ("r-yaml" ,r-yaml)))
+    (home-page
+     "https://bioconductor.org/packages/release/bioc/html/RMassBank.html")
+    (synopsis
+     "Workflow to process tandem MS files and build MassBank records")
+    (description
+     "Workflow to process tandem MS files and build MassBank records.
+Functions include automated extraction of tandem MS spectra, formula
+assignment to tandem MS fragments, recalibration of tandem MS spectra with
+assigned fragments, spectrum cleanup, automated retrieval of compound
+information from Internet databases, and export to MassBank records.")
+    (license license:artistic2.0)))
--
2.21.0






Acknowledgement sent to Tk <tk.code@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#35810; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 May 2019 14:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.